# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-B-Hooks-OP-Check-EntersubForCV
Version:        0.09
Release:        alt1_5
Summary:        Invoke callbacks on construction of entersub OPs for certain CVs
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/B-Hooks-OP-Check-EntersubForCV/
Source0:        http://www.cpan.org/authors/id/Z/ZE/ZEFRAM/B-Hooks-OP-Check-EntersubForCV-%{version}.tar.gz
BuildRequires:  perl(B/Hooks/OP/Check.pm)
BuildRequires:  perl(B/Utils.pm)
BuildRequires:  perl(ExtUtils/Depends.pm)
BuildRequires:  perl(inc/Module/Install.pm)
BuildRequires:  perl(Module/Install/ExtraTests.pm)
BuildRequires:  perl(parent.pm)
BuildRequires:  perl(Scalar/Util.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)


Source44: import.info

%description
Invoke callbacks on construction of entersub OPs for certain CVs.

%prep
%setup -q -n B-Hooks-OP-Check-EntersubForCV-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;

# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/B*

%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.09-alt1_5
- initial fc import

